Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins.jetty
[Java] Class JettyRun

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.plugins.jetty.AbstractJettyRunTask
              org.gradle.api.plugins.jetty.JettyRun

    public class JettyRun
    extends AbstractJettyRunTask

Deploys an exploded web application to an embedded Jetty web container. Does not require that the web application be assembled into a war, saving time during the development cycle.

Once started, the web container can be configured to run continuously, scanning for changes in the project and automatically performing a hot redeploy when necessary. This allows the developer to concentrate on coding changes to the project using their IDE of choice and have those changes immediately and transparently reflected in the running web container, eliminating development time that is wasted on rebuilding, reassembling and redeploying.

Field Summary

Fields inherited from class AbstractJettyRunTask
PORT_SYSPROPERTY, consoleScanner, reload, scannerListeners

Method Summary
`void` | `applyJettyXml()`
`void` | `configureScanner()`
`void` | `configureWebApplication()`
`JettyPluginServer` | `createServer()`
`void` | `finishConfigurationBeforeStart()`
`List` | `getClassPathFiles()`
`FileCollection` | `getClasspath()` Returns the classpath for the web application.
`ContextHandler[]` | `getConfiguredContextHandlers()`
`Set` | `getExtraScanTargets()`
`File` | `getJettyEnvXml()`
`File` | `getJettyEnvXmlFile()`
`ScanTargetPattern[]` | `getScanTargetPatterns()`
`File[]` | `getScanTargets()`
`File` | `getWebAppSourceDirectory()` Returns the directory containing the web application source files.
`File` | `getWebXml()` Returns the `web.xml` file to use.
`void` | `restartWebApp(boolean reconfigureScanner)`
`void` | `setClassPathFiles(List classPathFiles)`
`void` | `setClasspath(FileCollection classpath)` Set the classpath for the web application.
`void` | `setContextHandlers(ContextHandler[] contextHandlers)`
`void` | `setExtraScanTargets(Iterable extraScanTargets)`
`void` | `setJettyEnvXml(File jettyEnvXml)`
`void` | `setJettyEnvXmlFile(File jettyEnvXmlFile)`
`void` | `setScanTargetPatterns(ScanTargetPattern[] scanTargetPatterns)`
`void` | `setScanTargets(File[] scanTargets)`
`void` | `setWebAppSourceDirectory(File webAppSourceDirectory)`
`void` | `setWebXml(File webXml)`
`void` | `validateConfiguration()`

Methods inherited from class AbstractJettyRunTask
applyJettyXml, configureScanner, configureWebApplication, createServer, findJettyWebXmlFile, finishConfigurationBeforeStart, getAdditionalRuntimeJars, getConnectors, getContextPath, getHttpPort, getJettyConfig, getOverrideWebXml, getReload, getRequestLog, getScanIntervalSeconds, getScanner, getScannerListeners, getServer, getStopKey, getStopPort, getUserRealms, getWebAppConfig, getWebDefaultXml, isDaemon, restartWebApp, setAdditionalRuntimeJars, setConnectors, setContextPath, setDaemon, setHttpPort, setJettyConfig, setOverrideWebXml, setReload, setRequestLog, setScanIntervalSeconds, setScannerListeners, setServer, setStopKey, setStopPort, setUserRealms, setWebAppConfig, setWebDefaultXml, start, startConsoleScanner, startJetty, startJettyInternal, validateConfiguration

Method Detail

### applyJettyXml

    public void applyJettyXml()

### configureScanner

    public void configureScanner()

### configureWebApplication

    public void configureWebApplication()

### createServer

    public JettyPluginServer createServer()

### finishConfigurationBeforeStart

    public void finishConfigurationBeforeStart()

### getClassPathFiles

    public List getClassPathFiles()

### getClasspath

    @InputFiles
    public FileCollection getClasspath()

  Returns the classpath for the web application.

### getConfiguredContextHandlers

    public ContextHandler[] getConfiguredContextHandlers()

### getExtraScanTargets

    public Set getExtraScanTargets()

### getJettyEnvXml

    @InputFile
    @Optional
    public File getJettyEnvXml()

### getJettyEnvXmlFile

    @InputFile
    @Optional
    public File getJettyEnvXmlFile()

### getScanTargetPatterns

    public ScanTargetPattern[] getScanTargetPatterns()

### getScanTargets

    public File[] getScanTargets()

### getWebAppSourceDirectory

    @InputDirectory
    public File getWebAppSourceDirectory()

  Returns the directory containing the web application source files.

### getWebXml

    public File getWebXml()

  Returns the `web.xml` file to use. When `null`, no `web.xml` file is used.

### restartWebApp

    public void restartWebApp(boolean reconfigureScanner)

### setClassPathFiles

    public void setClassPathFiles(List classPathFiles)

### setClasspath

    public void setClasspath(FileCollection classpath)

  Set the classpath for the web application.

### setContextHandlers

    public void setContextHandlers(ContextHandler[] contextHandlers)

### setExtraScanTargets

    public void setExtraScanTargets(Iterable extraScanTargets)

### setJettyEnvXml

    public void setJettyEnvXml(File jettyEnvXml)

### setJettyEnvXmlFile

    public void setJettyEnvXmlFile(File jettyEnvXmlFile)

### setScanTargetPatterns

    public void setScanTargetPatterns(ScanTargetPattern[] scanTargetPatterns)

### setScanTargets

    public void setScanTargets(File[] scanTargets)

### setWebAppSourceDirectory

    public void setWebAppSourceDirectory(File webAppSourceDirectory)

### setWebXml

    public void setWebXml(File webXml)

### validateConfiguration

    public void validateConfiguration()

Gradle API 1.10